function nsafbDomReady( fn ) {
	if ( typeof fn !== 'function' ) {
		return;
	}

	if ( document.readyState === 'interactive' || document.readyState === 'complete' ) {
		return fn();
	}

	document.addEventListener( 'DOMContentLoaded', fn, false );
}

function nsafbOpenWindow( url, title, width, height ) {
	var left = (screen.width/2)-(width/2);
  	var top = (screen.height/2)-(height/2);

  	return window.open(url, title, 'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=no, resizable=no, copyhistory=no, width='+width+', height='+height+', top='+top+', left='+left);
}

nsafbDomReady( function() {
	const buttons = document.querySelectorAll( '.nsafb-share-button' );

	for (const button of buttons) {
	  	button.addEventListener( 'click', function(e) {
	    	e.preventDefault();

	    	const shareWindow = nsafbOpenWindow( button.href, button.title, 550, 450 );
	    	shareWindow.focus();
	  	})
	}
} );